### Struct

# FwupdPlugin StructShimHive

#### Description

    struct FuStructShimHive {
      guint8 buf[];
      guint refcount;
    }

No description available.

###### Structure members

`buf:` `guint8`

  No description available.

`refcount:` `guint`

  No description available.

#### Functions

###### fu_struct_shim_hive_new

No description available.

###### fu_struct_shim_hive_parse_stream

No description available.

#### Instance methods

###### fu_struct_shim_hive_get_crc32

No description available.

###### fu_struct_shim_hive_get_header_version

No description available.

###### fu_struct_shim_hive_get_items_count

No description available.

###### fu_struct_shim_hive_get_items_offset

No description available.

###### fu_struct_shim_hive_ref

No description available.

###### fu_struct_shim_hive_set_crc32

No description available.

###### fu_struct_shim_hive_set_header_version

No description available.

###### fu_struct_shim_hive_set_items_count

No description available.

###### fu_struct_shim_hive_set_items_offset

No description available.

###### fu_struct_shim_hive_unref

No description available.